Index: tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set basis])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --no-dry-run --store-session session-parser-set-parameters-mpqc-basis.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-basis.py >session-parser-set-parameters-mpqc-basis_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-basis_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --undo --no-dry-run --store-session session-parser-set-parameters-mpqc-basis.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-basis.py >session-parser-set-parameters-mpqc-basis_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-basis_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --undo --redo --no-dry-run --store-session session-parser-set-parameters-mpqc-basis.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-basis.py >session-parser-set-parameters-mpqc-basis_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-basis_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,52 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set maxiter])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --no-dry-run --store-session session-parser-set-parameters-mpqc-maxiterations.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-maxiterations.py >session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --undo --no-dry-run --store-session session-parser-set-parameters-mpqc-maxiterations.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-maxiterations.py >session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --undo --redo --no-dry-run --store-session session-parser-set-parameters-mpqc-maxiterations.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-maxiterations.py >session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-maxiterations_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,27 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set none fails])
+AT_KEYWORDS([options mpqc set-mpqc-parameters])
+
+AT_CHECK([../../molecuilder --dry-run -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --no-dry-run --store-session session-parser-set-parameters-mpqc-none.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-none.py >session-parser-set-parameters-mpqc-none_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-none_new.py], 5, [stdout], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,52 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set theory])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory])
+
+AT_CHECK([../../molecuilder --dry-run -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS" --no-dry-run --store-session session-parser-set-parameters-mpqc-theory.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-theory.py >session-parser-set-parameters-mpqc-theory_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-theory_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Undo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS" --undo --no-dry-run --store-session session-parser-set-parameters-mpqc-theory.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-theory.py >session-parser-set-parameters-mpqc-theory_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-theory_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "reference<CLHF>" test.in], 0, [ignore], [ignore])
+AT_CHECK([fgrep "mole<MBPT2>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS" --undo --redo --no-dry-run --store-session session-parser-set-parameters-mpqc-theory.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc-theory.py >session-parser-set-parameters-mpqc-theory_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc-theory_new.py], 0, [stdout], [ignore])
+AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - check in file])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory])
+
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS" --no-dry-run --store-session session-parser-set-parameters-mpqc.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc.py >session-parser-set-parameters-mpqc_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc_new.py], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - check in file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory undo])
+
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS" --undo --no-dry-run --store-session session-parser-set-parameters-mpqc.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc.py >session-parser-set-parameters-mpqc_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc_new.py], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - check in file with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory redo])
+
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS" --undo --redo --no-dry-run --store-session session-parser-set-parameters-mpqc.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-mpqc.py >session-parser-set-parameters-mpqc_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-mpqc_new.py], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### PSI3 basis
+
+AT_SETUP([Parser - PSI3 - set reference])
+AT_KEYWORDS([options psi3 set-psi3-parameters reference])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "reference=uhf" --no-dry-run --store-session session-parser-set-parameters-psi3-reference.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-reference.py >session-parser-set-parameters-psi3-reference_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-reference_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "reference.*uhf" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set reference with Undo])
+AT_KEYWORDS([options psi3 set-psi3-parameters reference undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "reference=uhf" --undo --no-dry-run --store-session session-parser-set-parameters-psi3-reference.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-reference.py >session-parser-set-parameters-psi3-reference_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-reference_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "reference.*rhf" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set reference with Redo])
+AT_KEYWORDS([options psi3 set-psi3-parameters theory redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "reference=uhf" --undo --redo --no-dry-run --store-session session-parser-set-parameters-psi3-reference.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-reference.py >session-parser-set-parameters-psi3-reference_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-reference_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "reference.*uhf" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at
===================================================================
--- tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,51 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### PSI3 basis
+
+AT_SETUP([Parser - PSI3 - set wavefunction])
+AT_KEYWORDS([options psi3 set-psi3-parameters wavefunction])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2" --no-dry-run --store-session session-parser-set-parameters-psi3-wavefunction.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-wavefunction.py >session-parser-set-parameters-psi3-wavefunction_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-wavefunction_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*mp2" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set wavefunction with Undo])
+AT_KEYWORDS([options psi3 set-psi3-parameters wavefunction undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2" --undo --no-dry-run --store-session session-parser-set-parameters-psi3-wavefunction.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-wavefunction.py >session-parser-set-parameters-psi3-wavefunction_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-wavefunction_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*scf" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set wavefunction with Redo])
+AT_KEYWORDS([options psi3 set-psi3-parameters theory redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2" --undo --redo --no-dry-run --store-session session-parser-set-parameters-psi3-wavefunction.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-set-parameters-psi3-wavefunction.py >session-parser-set-parameters-psi3-wavefunction_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-set-parameters-psi3-wavefunction_new.py], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*mp2" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
